<html>
<head>
<title>OGRE: Class Members - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li class="current"><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li class="current"><a href="functions.html"><span>All</span></a></li>
    <li><a href="functions_func.html"><span>Functions</span></a></li>
    <li><a href="functions_vars.html"><span>Variables</span></a></li>
    <li><a href="functions_type.html"><span>Typedefs</span></a></li>
    <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
    <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
    <li><a href="functions_rela.html"><span>Related&nbsp;Functions</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="functions.html#index__"><span>_</span></a></li>
    <li><a href="functions_0x61.html#index_a"><span>a</span></a></li>
    <li><a href="functions_0x62.html#index_b"><span>b</span></a></li>
    <li><a href="functions_0x63.html#index_c"><span>c</span></a></li>
    <li><a href="functions_0x64.html#index_d"><span>d</span></a></li>
    <li><a href="functions_0x65.html#index_e"><span>e</span></a></li>
    <li><a href="functions_0x66.html#index_f"><span>f</span></a></li>
    <li><a href="functions_0x67.html#index_g"><span>g</span></a></li>
    <li><a href="functions_0x68.html#index_h"><span>h</span></a></li>
    <li><a href="functions_0x69.html#index_i"><span>i</span></a></li>
    <li><a href="functions_0x6b.html#index_k"><span>k</span></a></li>
    <li><a href="functions_0x6c.html#index_l"><span>l</span></a></li>
    <li><a href="functions_0x6d.html#index_m"><span>m</span></a></li>
    <li class="current"><a href="functions_0x6e.html#index_n"><span>n</span></a></li>
    <li><a href="functions_0x6f.html#index_o"><span>o</span></a></li>
    <li><a href="functions_0x70.html#index_p"><span>p</span></a></li>
    <li><a href="functions_0x71.html#index_q"><span>q</span></a></li>
    <li><a href="functions_0x72.html#index_r"><span>r</span></a></li>
    <li><a href="functions_0x73.html#index_s"><span>s</span></a></li>
    <li><a href="functions_0x74.html#index_t"><span>t</span></a></li>
    <li><a href="functions_0x75.html#index_u"><span>u</span></a></li>
    <li><a href="functions_0x76.html#index_v"><span>v</span></a></li>
    <li><a href="functions_0x77.html#index_w"><span>w</span></a></li>
    <li><a href="functions_0x78.html#index_x"><span>x</span></a></li>
    <li><a href="functions_0x79.html#index_y"><span>y</span></a></li>
    <li><a href="functions_0x7a.html#index_z"><span>z</span></a></li>
    <li><a href="functions_0x7e.html#index_~"><span>~</span></a></li>
  </ul>
</div>

<p>
Here is a list of all class members with links to the classes they belong to:
<p>
<h3><a class="anchor" name="index_n">- n -</a></h3><ul>
<li>name
: <a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptProgramDefinition.html#953f92f5c618abd6d6db5c0055254225">Ogre::MaterialScriptCompiler::MaterialScriptProgramDefinition</a>
, <a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#23d1b9553769ca1f4e47175a567fcf0c">Ogre::CompositionTechnique::TextureDefinition</a>
, <a class="el" href="structOgre_1_1GpuProgramParameters_1_1AutoConstantDefinition.html#e5ad78cdb1c72d317aaf994fdc801b6b">Ogre::GpuProgramParameters::AutoConstantDefinition</a>
, <a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html#cf3e9dcca109ad8ed6e480f1253e0873">Ogre::Profiler::ProfileHistory</a>
, <a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#9c7120b86ff8f19d81f0fac0a1523512">Ogre::ResourceGroupManager::ResourceGroup</a>
, <a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html#d766f0b063f8753dbfdbb04b1e05d2a1">Ogre::MaterialScriptProgramDefinition</a>
, <a class="el" href="struct__finddata__t.html#a8b6c8443328752952e99f366254a6f8">_finddata_t</a>
, <a class="el" href="classOgre_1_1ParameterDef.html#b22036d8dcec3fe262e88316e55d9a13">Ogre::ParameterDef</a>
, <a class="el" href="structOgre_1_1__ConfigOption.html#33da56f2aece559df69da66f6b4dbd30">Ogre::_ConfigOption</a>
, <a class="el" href="structOgre_1_1Profiler_1_1ProfileInstance.html#b97c7822bee63c0a8779b6d539bbe0fb">Ogre::Profiler::ProfileInstance</a>
, <a class="el" href="structOgre_1_1Profiler_1_1ProfileFrame.html#f444a2a77f7bb3e2387aec94c539a7fb">Ogre::Profiler::ProfileFrame</a>
<li>nameSubMesh()
: <a class="el" href="classOgre_1_1Mesh.html#961a5ebb441004ca098a468eb5bd0369">Ogre::Mesh</a>
<li>NEAR_LEFT_BOTTOM
: <a class="el" href="classOgre_1_1AxisAlignedBox.html#771c83dfb946e6d66c9ddf09fba7e5b3d7af8f1d62fb0717955df915775bba40">Ogre::AxisAlignedBox</a>
<li>NEAR_LEFT_TOP
: <a class="el" href="classOgre_1_1AxisAlignedBox.html#771c83dfb946e6d66c9ddf09fba7e5b3b6b3c127e0bec403f8b162153fa8977c">Ogre::AxisAlignedBox</a>
<li>NEAR_RIGHT_BOTTOM
: <a class="el" href="classOgre_1_1AxisAlignedBox.html#771c83dfb946e6d66c9ddf09fba7e5b303c007f742ece84e634533dad5655289">Ogre::AxisAlignedBox</a>
<li>NEAR_RIGHT_TOP
: <a class="el" href="classOgre_1_1AxisAlignedBox.html#771c83dfb946e6d66c9ddf09fba7e5b3b76a3b018615466de7e96bf65fed7696">Ogre::AxisAlignedBox</a>
<li>needUpdate()
: <a class="el" href="classOgre_1_1Bone.html#5b32f720032133ebc0706669b20ee528">Ogre::Bone</a>
, <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#4de88a1c0a586a4743746f6cd1dd1c9e">Ogre::InstancedGeometry::InstancedObject</a>
, <a class="el" href="classOgre_1_1Node.html#8671415cc4cf15e45bf716a823678736">Ogre::Node</a>
, <a class="el" href="classOgre_1_1TagPoint.html#acb9004b79fb9fceac07ec7963da944e">Ogre::TagPoint</a>
<li>NEG_INFINITY
: <a class="el" href="classOgre_1_1Math.html#83fdfd933be03233fc58b80e23740186">Ogre::Math</a>
<li>NEGATIVE_SIDE
: <a class="el" href="classOgre_1_1Plane.html#a5d44b14d6f032f3e0a26e83589180bcaf227c36d02442779fd4600d00580f5e">Ogre::Plane</a>
<li>NEGATIVE_UNIT_X
: <a class="el" href="classOgre_1_1Vector2.html#52e8d29732eacdeb87d20a3372382590">Ogre::Vector2</a>
, <a class="el" href="classOgre_1_1Vector3.html#46e43c65e6da1ff630652694a966d63c">Ogre::Vector3</a>
<li>NEGATIVE_UNIT_Y
: <a class="el" href="classOgre_1_1Vector2.html#95486d3e0b884791be22f16d2bb3a4cb">Ogre::Vector2</a>
, <a class="el" href="classOgre_1_1Vector3.html#6b674c303fc2ade68ce2fd6ae74b8c11">Ogre::Vector3</a>
<li>NEGATIVE_UNIT_Z
: <a class="el" href="classOgre_1_1Vector3.html#bdeebea4e94e114215a51831f9792f19">Ogre::Vector3</a>
<li>neighbor
: <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#ba08b3a1f6c6618e71fca01f4c326684">Ogre::ProgressiveMesh::PMVertex</a>
<li>NeighborList
: <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#c6ea70b4253024dc32be3d36e093e611">Ogre::ProgressiveMesh::PMVertex</a>
<li>nlerp()
: <a class="el" href="classOgre_1_1Quaternion.html#16987149991882e148170fe3f1c7da4b">Ogre::Quaternion</a>
<li>NO_SIDE
: <a class="el" href="classOgre_1_1Plane.html#a5d44b14d6f032f3e0a26e83589180bcad112821a6c39f0097136ba5df53052a">Ogre::Plane</a>
<li>Node()
: <a class="el" href="classOgre_1_1Node.html#9708974fb90fd32035f8d36a47abb0af">Ogre::Node</a>
<li>NodeAnimationTrack()
: <a class="el" href="classOgre_1_1NodeAnimationTrack.html#08bfcb3a32f8237ee3f0be5abfa514d4">Ogre::NodeAnimationTrack</a>
<li>nodeAttached()
: <a class="el" href="classOgre_1_1Node_1_1Listener.html#94f0833d9ba1ac036c7c9274a77a3bb7">Ogre::Node::Listener</a>
<li>nodeDestroyed()
: <a class="el" href="classOgre_1_1Node_1_1Listener.html#1bba5bb036e7e21e44520d4a302deb45">Ogre::Node::Listener</a>
, <a class="el" href="classOgre_1_1RibbonTrail.html#30baa88eeee3eb041db328924dd1a0f7">Ogre::RibbonTrail</a>
<li>nodeDetached()
: <a class="el" href="classOgre_1_1Node_1_1Listener.html#2d8d30e7eb00989dc97aa0c2e1c94d36">Ogre::Node::Listener</a>
<li>NodeIterator
: <a class="el" href="classOgre_1_1RibbonTrail.html#a87dbc42370145c7829bce54b0919e03">Ogre::RibbonTrail</a>
<li>NodeList
: <a class="el" href="classOgre_1_1RibbonTrail.html#cc8002296a48321ac318f99a77c82ef4">Ogre::RibbonTrail</a>
<li>NodeToChainSegmentMap
: <a class="el" href="classOgre_1_1RibbonTrail.html#c05ed4f2e95ea6e32bb28cef607d72fd">Ogre::RibbonTrail</a>
<li>NodeTrackIterator
: <a class="el" href="classOgre_1_1Animation.html#102623aa082648ea3fe2023ab30609b3">Ogre::Animation</a>
<li>NodeTrackList
: <a class="el" href="classOgre_1_1Animation.html#61e2c44b477c5a6e8b4f22a13d806201">Ogre::Animation</a>
<li>nodeUpdated()
: <a class="el" href="classOgre_1_1Node_1_1Listener.html#4038dce943694bf4577fc99aa76c99ec">Ogre::Node::Listener</a>
, <a class="el" href="classOgre_1_1RibbonTrail.html#1d55b1c2630baaee6ba063333ed13b92">Ogre::RibbonTrail</a>
<li>Norm()
: <a class="el" href="classOgre_1_1Quaternion.html#17a0e63655eda5e7d77522d45033668c">Ogre::Quaternion</a>
<li>normal
: <a class="el" href="structOgre_1_1ManualObject_1_1TempVertex.html#19411aec4007e5d720d761e46e283aac">Ogre::ManualObject::TempVertex</a>
, <a class="el" href="classOgre_1_1Plane.html#3f97462d3822f6add8c070048f6c2d92">Ogre::Plane</a>
, <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#2965fa7602c835772a2737c9fb5c5854">Ogre::ProgressiveMesh::PMTriangle</a>
, <a class="el" href="classOgre_1_1ManualObject.html#59c0b0a41e2a4ced5ff89589c9a924a1">Ogre::ManualObject</a>
<li>normalise()
: <a class="el" href="classOgre_1_1Vector2.html#108e27e1f8c56023377347b661cf067c">Ogre::Vector2</a>
, <a class="el" href="classOgre_1_1Plane.html#090aae792b4fecc6e8b1b5810f029edf">Ogre::Plane</a>
, <a class="el" href="classOgre_1_1Quaternion.html#ee94ec9c7de50fe7f774ae4c7e760b65">Ogre::Quaternion</a>
, <a class="el" href="classOgre_1_1Vector3.html#9e572a5cc4e1ed826839e5281d8f1d3b">Ogre::Vector3</a>
<li>normalisedCopy()
: <a class="el" href="classOgre_1_1Vector2.html#735f0406c751af9b3ac79c855301e466">Ogre::Vector2</a>
, <a class="el" href="classOgre_1_1Vector3.html#50bec7fc9389d530ed6caac9b74bae7b">Ogre::Vector3</a>
<li>normals
: <a class="el" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#e1ad5666b06f2dcf7efc53ad2f500008">Ogre::MeshManager::MeshBuildParams</a>
<li>normBindIndex
: <a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#0b4e2a46911fe4a6191010ec584ec744">Ogre::TempBlendedBufferInfo</a>
<li>NotificationQueue
: <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#5200e347199cb918e891d847e863feb9">Ogre::ResourceBackgroundQueue</a>
<li>notifyControlPointBufferDeallocated()
: <a class="el" href="classOgre_1_1PatchSurface.html#41fb9a71633f5658bac6c83403f46a43">Ogre::PatchSurface</a>
<li>notifyMaterialRender()
: <a class="el" href="classOgre_1_1CompositorInstance_1_1Listener.html#4234db3c8711ea3f253b98b13ece8f2e">Ogre::CompositorInstance::Listener</a>
<li>notifyMaterialSetup()
: <a class="el" href="classOgre_1_1CompositorInstance_1_1Listener.html#487a34865d41776e7ff9f42b4bcf7422">Ogre::CompositorInstance::Listener</a>
<li>notifyRemoved()
: <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#ad9df6c18f56840e29195a7423dcf095">Ogre::ProgressiveMesh::PMTriangle</a>
, <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#1793fbe5fc12a95fde281f1611ecb512">Ogre::ProgressiveMesh::PMVertex</a>
<li>notifyViewport()
: <a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html#208e4a0e0b0aedae62d3d89dab1a3d7c">Ogre::CompositorChain::RQListener</a>
<li>NTTRuleID
: <a class="el" href="structOgre_1_1Compiler2Pass_1_1TokenInst.html#715b0aa62dc5511917e23bb5fb09e8d8">Ogre::Compiler2Pass::TokenInst</a>
<li>num_mipmaps
: <a class="el" href="classOgre_1_1ImageCodec_1_1ImageData.html#ed8c64899c5b99b802b641a0c1c8f3e8">Ogre::ImageCodec::ImageData</a>
<li>numAnimationParametrics
: <a class="el" href="structOgre_1_1MaterialScriptContext.html#735dfeecb720e45e7e59716b5e48a4e6">Ogre::MaterialScriptContext</a>
, <a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#fe61f7f3023c2078e9113b131bc3f419">Ogre::MaterialScriptCompiler::MaterialScriptContext</a>
<li>numAttachedObjects()
: <a class="el" href="classOgre_1_1SceneNode.html#c440aafa5cb9356e1f4feb17c9fa0cb6">Ogre::SceneNode</a>
<li>number
: <a class="el" href="structOgre_1_1ExceptionCodeType.html#ce852efbc1f5b578bb5871181941732cdc17c75a1a0536b07eaf5f587918544e">Ogre::ExceptionCodeType&lt; num &gt;</a>
, <a class="el" href="classOgre_1_1Exception.html#64ee5688b9849cdf716b3d296f9725dc">Ogre::Exception</a>
<li>numberOfChannels
: <a class="el" href="structOgre_1_1ILUtil_1_1ILFormat.html#ec605c3e41056bb846cabfeafd75ecda">Ogre::ILUtil::ILFormat</a>
<li>numCallsThisFrame
: <a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html#b918db2b1abc44372b98ee8ca14d86ad">Ogre::Profiler::ProfileHistory</a>
<li>numChildren()
: <a class="el" href="classOgre_1_1Node.html#5d5b4d6045dbf1198e96003ead1b333d">Ogre::Node</a>
<li>numElements
: <a class="el" href="structOgre_1_1StaticFaceGroup.html#2dba19f0f06565cd111206a4a673239c">Ogre::StaticFaceGroup</a>
<li>NumericAnimationTrack()
: <a class="el" href="classOgre_1_1NumericAnimationTrack.html#85e2b687e0e4952736ee02de3d53bc43">Ogre::NumericAnimationTrack</a>
<li>NumericKeyFrame()
: <a class="el" href="classOgre_1_1NumericKeyFrame.html#d78806d737208d08c84acc92cbc437a6">Ogre::NumericKeyFrame</a>
<li>NumericTrackIterator
: <a class="el" href="classOgre_1_1Animation.html#dc1167a609195ef97a04e3c6ea1dbe4f">Ogre::Animation</a>
<li>NumericTrackList
: <a class="el" href="classOgre_1_1Animation.html#837e2fcb95b1f8de248ff35a74257adb">Ogre::Animation</a>
<li>numholder()
: <a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#b9414baa5ac2efe6abe7486d4287d137">Ogre::AnyNumeric::numholder&lt; ValueType &gt;</a>
<li>numMultiRenderTargets()
: <a class="el" href="classOgre_1_1RenderSystemCapabilities.html#48532bf4bcee69bbb546a77b3a34a6b9">Ogre::RenderSystemCapabilities</a>
<li>numTexCoordSets
: <a class="el" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#f9fe833e8005ada29309b67991ba878f">Ogre::MeshManager::MeshBuildParams</a>
<li>numVertexBlendMatrices()
: <a class="el" href="classOgre_1_1RenderSystemCapabilities.html#b6a4164a489cb5ec43f69470dad3dd9a">Ogre::RenderSystemCapabilities</a>
<li>numVertices
: <a class="el" href="structOgre_1_1StaticFaceGroup.html#4b1e2bb83673099b9d2459a1bb67f429">Ogre::StaticFaceGroup</a>
</ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:01 2008
</p>
</body>
</html>
